Congrats on 50K. Man, FC is great, only wish I have that in the future with newer versions it somehow becomes faster and more responsive, because it is slow as heck I fairly basic stuff, but yea it is 100% free... I would love to see it being snappy like OnShape or 360...
That's a really cool video man. FreeCAD is not the most intuitive thing to use out there. But I am always amazed at the complexity of geometry you can achieve if you put the time in to learn it. And you're showcasing that beautifully.
Congrats on the 50K, and thank you for another instructive video! Slicing a pad with low curvature surface works fine, but can anyone recommend a way to *wrap* text/pattern *around* a surface?
Nice video! I recreated your play button in build123d (a new fully open source CAD package). Here is the build123d sourcecode: from build123d import * ms = Mode.SUBTRACT with BuildPart() as p: with BuildSketch() as s: RectangleRounded(3,2,.25) with BuildSketch(Plane.XY.offset(.3)) as s2: Circle(.1) with BuildSketch(Plane.XY.offset(.3)) as s3: Circle(.01) loft() with BuildSketch() as s4: RectangleRounded(3,2,.25) with HexLocations(.5/2,8,6): RegularPolygon(.5/2-.025,6,major_radius=False,mode=ms) zz=extrude(target=p.part.scale(1.01),until=Until.LAST) with BuildSketch(Plane.XY.offset(p.part.bounding_box().max.Z)) as s5: RegularPolygon(.5,3,30) extrude(amount=-.05,mode=ms) with BuildSketch(Plane.XY.offset(p.part.bounding_box().max.Z)) as s6: with Locations((0,.66)): Text("JOKO ENGINEERING",.25,font_style=FontStyle.BOLD) with Locations((0,-.66)): Text("50,000 SUBSCRIBERS",.25,font_style=FontStyle.BOLD) zz2=extrude(until=Until.PREVIOUS,mode=Mode.PRIVATE) add(zz2.translate((0,0,-.02)),mode=ms)
Congrats on 50 thousand, SEVEN HUNDRED viewers already! 🎉
Many thanks
Great job with that heaxgon pattern. Congratulations with the huge milestone of 50K subscribers!! ✨🎉
Nice video. Towards 100k now!
Thank you- it feels strange to be so close but so far!
🥳 Congrats to 50k! 🎉
Congrats on 50K. Man, FC is great, only wish I have that in the future with newer versions it somehow becomes faster and more responsive, because it is slow as heck I fairly basic stuff, but yea it is 100% free... I would love to see it being snappy like OnShape or 360...
That's a really cool video man. FreeCAD is not the most intuitive thing to use out there. But I am always amazed at the complexity of geometry you can achieve if you put the time in to learn it. And you're showcasing that beautifully.
Thanks much! It's been a great platform and it gets less credit than it deserves
Congrats on the 50K, and thank you for another instructive video! Slicing a pad with low curvature surface works fine, but can anyone recommend a way to *wrap* text/pattern *around* a surface?
The part workbench has a feature for that.
wiki.freecad.org/Part_ProjectionOnSurface
Thank you, @JokoEngineeringhelp!
Nice video! I recreated your play button in build123d (a new fully open source CAD package). Here is the build123d sourcecode:
from build123d import *
ms = Mode.SUBTRACT
with BuildPart() as p:
with BuildSketch() as s:
RectangleRounded(3,2,.25)
with BuildSketch(Plane.XY.offset(.3)) as s2:
Circle(.1)
with BuildSketch(Plane.XY.offset(.3)) as s3:
Circle(.01)
loft()
with BuildSketch() as s4:
RectangleRounded(3,2,.25)
with HexLocations(.5/2,8,6):
RegularPolygon(.5/2-.025,6,major_radius=False,mode=ms)
zz=extrude(target=p.part.scale(1.01),until=Until.LAST)
with BuildSketch(Plane.XY.offset(p.part.bounding_box().max.Z)) as s5:
RegularPolygon(.5,3,30)
extrude(amount=-.05,mode=ms)
with BuildSketch(Plane.XY.offset(p.part.bounding_box().max.Z)) as s6:
with Locations((0,.66)):
Text("JOKO ENGINEERING",.25,font_style=FontStyle.BOLD)
with Locations((0,-.66)):
Text("50,000 SUBSCRIBERS",.25,font_style=FontStyle.BOLD)
zz2=extrude(until=Until.PREVIOUS,mode=Mode.PRIVATE)
add(zz2.translate((0,0,-.02)),mode=ms)
Woah how did I miss this comment? This looks amazing